import { apiClient } from "@/src/lib/api/api-client";

export const getOptionsEndsService = async (id_chatbot: string, sesion: string) => {
    try {
        const response = await apiClient.post('chat/getOptionsEnds',{
            id_chatbot:id_chatbot,
            sesion:sesion
        });
        return response.data;
    }catch (error) {
        return { data: null, error: error,status:500};
    } 
}

export const endConversationService = async (id_chatbot: string, sesion: string,option: string) => {
    try {
        const response = await apiClient.post('chat/TerminarConversacion',{
            id_chatbot:id_chatbot,
            sesion:sesion,
            option:option
        });
        return response.data;
    }catch (error) {
        return { data: null, error: error,status:500};
    } 
}

export const transferConversationService = async (id_chatbot: string, sesion: string,transIdUser: string,commentary: string) => {
    try {
        const response = await apiClient.post('chat/transferirConversacion',{
            id_chatbot:id_chatbot,
            sesion:sesion,
            transIdUser:transIdUser,
            commentary:commentary
        });
        return response.data;
    }catch (error) {
        return { data: null, error: error,status:500};
    } 
}

export const startConversationService = async (id_chatbot: string, sesion: string,commentary: string,template: string) => {
    try {
        const response = await apiClient.post('chat/startConversation',{
            id_chatbot:id_chatbot,
            sesion:sesion,
            commentary:commentary,
            template:template
        });
        return response.data;
    }catch (error) {
        return { data: null, error: error,status:500};
    } 
}